Makefile.in 12 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388
  1. # Makefile.in generated by automake 1.7 from Makefile.am.
  2. # @configure_input@
  3. # Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
  4. # Free Software Foundation, Inc.
  5. # This Makefile.in is free software; the Free Software Foundation
  6. # gives unlimited permission to copy and/or distribute it,
  7. # with or without modifications, as long as this notice is preserved.
  8. # This program is distributed in the hope that it will be useful,
  9. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  10. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  11. # PARTICULAR PURPOSE.
  12. @SET_MAKE@
  13. #----------------------------------------------------------------
  14. #
  15. # Makefile.am
  16. #
  17. # Automake source file for Boundary Element MMTL (bem).
  18. # This file, along with aclocal, configure.ac autoconf,
  19. # and automake can produce a highly functional configuration
  20. # script and Makefile.
  21. #
  22. # Sharon Zahn, Bob Techentin
  23. # October 3, 2002
  24. #
  25. # Copyright 2002-2004 Mayo Foundation. All Rights Reserved.
  26. # $Id: Makefile.am,v 1.4 2004/02/09 18:56:00 techenti Exp $
  27. #
  28. #----------------------------------------------------------------
  29. srcdir = @srcdir@
  30. top_srcdir = @top_srcdir@
  31. VPATH = @srcdir@
  32. pkgdatadir = $(datadir)/@PACKAGE@
  33. pkgincludedir = $(includedir)/@PACKAGE@
  34. top_builddir = .
  35. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  36. INSTALL = @INSTALL@
  37. install_sh_DATA = $(install_sh) -c -m 644
  38. install_sh_PROGRAM = $(install_sh) -c
  39. install_sh_SCRIPT = $(install_sh) -c
  40. INSTALL_HEADER = $(INSTALL_DATA)
  41. transform = $(program_transform_name)
  42. NORMAL_INSTALL = :
  43. PRE_INSTALL = :
  44. POST_INSTALL = :
  45. NORMAL_UNINSTALL = :
  46. PRE_UNINSTALL = :
  47. POST_UNINSTALL = :
  48. #---------------------------------------------------------------
  49. # Define an installation directory that includes
  50. # the version number (from AC_INIT) like "bltmath1.0"
  51. #---------------------------------------------------------------
  52. pkglibdir = $(libdir)/$(PACKAGE)$(PACKAGE_VERSION)
  53. ACLOCAL = @ACLOCAL@
  54. AMTAR = @AMTAR@
  55. AUTOCONF = @AUTOCONF@
  56. AUTOHEADER = @AUTOHEADER@
  57. AUTOMAKE = @AUTOMAKE@
  58. AWK = @AWK@
  59. CYGPATH_W = @CYGPATH_W@
  60. DEFS = @DEFS@
  61. ECHO_C = @ECHO_C@
  62. ECHO_N = @ECHO_N@
  63. ECHO_T = @ECHO_T@
  64. INSTALL_DATA = @INSTALL_DATA@
  65. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  66. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  67. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  68. LIBS = @LIBS@
  69. LTLIBOBJS = @LTLIBOBJS@
  70. MAKEINFO = @MAKEINFO@
  71. PACKAGE = @PACKAGE@
  72. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  73. PACKAGE_NAME = @PACKAGE_NAME@
  74. PACKAGE_STRING = @PACKAGE_STRING@
  75. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  76. PACKAGE_VERSION = @PACKAGE_VERSION@
  77. PATH_SEPARATOR = @PATH_SEPARATOR@
  78. SET_MAKE = @SET_MAKE@
  79. SHELL = @SHELL@
  80. STRIP = @STRIP@
  81. VERSION = @VERSION@
  82. ac_ct_STRIP = @ac_ct_STRIP@
  83. bindir = @bindir@
  84. build_alias = @build_alias@
  85. datadir = @datadir@
  86. exec_prefix = @exec_prefix@
  87. host_alias = @host_alias@
  88. includedir = @includedir@
  89. infodir = @infodir@
  90. install_sh = @install_sh@
  91. libdir = @libdir@
  92. libexecdir = @libexecdir@
  93. localstatedir = @localstatedir@
  94. mandir = @mandir@
  95. oldincludedir = @oldincludedir@
  96. prefix = @prefix@
  97. program_transform_name = @program_transform_name@
  98. sbindir = @sbindir@
  99. sharedstatedir = @sharedstatedir@
  100. sysconfdir = @sysconfdir@
  101. target_alias = @target_alias@
  102. #----------------------------------------------------------------
  103. # Just for the record, this isn't a GNU project, and
  104. # doesn't have all the support files like LICENSE and
  105. # ChangeLog. We're also compiling in a subdirectory, so
  106. # we supply a couple of options to automake.
  107. #
  108. # Note that this package _does_ require some of the support
  109. # files like install-sh, so if you're running aclocal,
  110. # autoconf, and automake for the first time, you'll need to
  111. # supply command line switches --add-missing --copy.
  112. #----------------------------------------------------------------
  113. AUTOMAKE_OPTIONS = foreign subdir-objects
  114. #---------------------------------------------------------------
  115. # tcl/tk scripts that may need to be installed.
  116. #---------------------------------------------------------------
  117. pkglib_SCRIPTS = \
  118. csdl.tcl \
  119. csdl_hlcsdl.itcl \
  120. csdl_llcsdl.itcl \
  121. csdl_shapes.itcl \
  122. pkgIndex.tcl
  123. subdir = .
  124. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  125. mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
  126. CONFIG_CLEAN_FILES =
  127. SCRIPTS = $(pkglib_SCRIPTS)
  128. DIST_SOURCES =
  129. DIST_COMMON = ../install-sh Makefile.am Makefile.in aclocal.m4 \
  130. configure configure.ac install-sh missing mkinstalldirs
  131. all: all-am
  132. .SUFFIXES:
  133. am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  134. configure.lineno
  135. $(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4)
  136. cd $(top_srcdir) && \
  137. $(AUTOMAKE) --foreign Makefile
  138. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  139. cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)
  140. $(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  141. $(SHELL) ./config.status --recheck
  142. $(srcdir)/configure: $(srcdir)/configure.ac $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
  143. cd $(srcdir) && $(AUTOCONF)
  144. $(ACLOCAL_M4): configure.ac
  145. cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  146. pkglibSCRIPT_INSTALL = $(INSTALL_SCRIPT)
  147. install-pkglibSCRIPTS: $(pkglib_SCRIPTS)
  148. @$(NORMAL_INSTALL)
  149. $(mkinstalldirs) $(DESTDIR)$(pkglibdir)
  150. @list='$(pkglib_SCRIPTS)'; for p in $$list; do \
  151. if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  152. if test -f $$d$$p; then \
  153. f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
  154. echo " $(pkglibSCRIPT_INSTALL) $$d$$p $(DESTDIR)$(pkglibdir)/$$f"; \
  155. $(pkglibSCRIPT_INSTALL) $$d$$p $(DESTDIR)$(pkglibdir)/$$f; \
  156. else :; fi; \
  157. done
  158. uninstall-pkglibSCRIPTS:
  159. @$(NORMAL_UNINSTALL)
  160. @list='$(pkglib_SCRIPTS)'; for p in $$list; do \
  161. f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
  162. echo " rm -f $(DESTDIR)$(pkglibdir)/$$f"; \
  163. rm -f $(DESTDIR)$(pkglibdir)/$$f; \
  164. done
  165. uninstall-info-am:
  166. tags: TAGS
  167. TAGS:
  168. ctags: CTAGS
  169. CTAGS:
  170. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  171. top_distdir = .
  172. distdir = $(PACKAGE)-$(VERSION)
  173. am__remove_distdir = \
  174. { test ! -d $(distdir) \
  175. || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
  176. && rm -fr $(distdir); }; }
  177. GZIP_ENV = --best
  178. distuninstallcheck_listfiles = find . -type f -print
  179. distcleancheck_listfiles = find . -type f -print
  180. distdir: $(DISTFILES)
  181. $(am__remove_distdir)
  182. mkdir $(distdir)
  183. $(mkinstalldirs) $(distdir)/..
  184. @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
  185. list='$(DISTFILES)'; for file in $$list; do \
  186. case $$file in \
  187. $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
  188. esac; \
  189. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  190. dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
  191. if test "$$dir" != "$$file" && test "$$dir" != "."; then \
  192. dir="/$$dir"; \
  193. $(mkinstalldirs) "$(distdir)$$dir"; \
  194. else \
  195. dir=''; \
  196. fi; \
  197. if test -d $$d/$$file; then \
  198. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  199. cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  200. fi; \
  201. cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
  202. else \
  203. test -f $(distdir)/$$file \
  204. || cp -p $$d/$$file $(distdir)/$$file \
  205. || exit 1; \
  206. fi; \
  207. done
  208. -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
  209. ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  210. ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  211. ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
  212. || chmod -R a+r $(distdir)
  213. dist-gzip: distdir
  214. $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  215. $(am__remove_distdir)
  216. dist dist-all: distdir
  217. $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  218. $(am__remove_distdir)
  219. # This target untars the dist file and tries a VPATH configuration. Then
  220. # it guarantees that the distribution is self-contained by making another
  221. # tarfile.
  222. distcheck: dist
  223. $(am__remove_distdir)
  224. GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf -
  225. chmod -R a-w $(distdir); chmod a+w $(distdir)
  226. mkdir $(distdir)/=build
  227. mkdir $(distdir)/=inst
  228. chmod a-w $(distdir)
  229. dc_install_base=`$(am__cd) $(distdir)/=inst && pwd` \
  230. && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  231. && $(mkinstalldirs) $$dc_destdir \
  232. && cd $(distdir)/=build \
  233. && ../configure --srcdir=.. --prefix="$$dc_install_base" \
  234. $(DISTCHECK_CONFIGURE_FLAGS) \
  235. && $(MAKE) $(AM_MAKEFLAGS) \
  236. && $(MAKE) $(AM_MAKEFLAGS) dvi \
  237. && $(MAKE) $(AM_MAKEFLAGS) check \
  238. && $(MAKE) $(AM_MAKEFLAGS) install \
  239. && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  240. && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  241. && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  242. distuninstallcheck \
  243. && chmod -R a-w "$$dc_install_base" \
  244. && ({ $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  245. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  246. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  247. distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  248. } || { rm -rf "$$dc_destdir"; exit 1; }) \
  249. && rm -rf "$$dc_destdir" \
  250. && $(MAKE) $(AM_MAKEFLAGS) dist-gzip \
  251. && rm -f $(distdir).tar.gz \
  252. && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
  253. $(am__remove_distdir)
  254. @echo "$(distdir).tar.gz is ready for distribution" | \
  255. sed 'h;s/./=/g;p;x;p;x'
  256. distuninstallcheck:
  257. cd $(distuninstallcheck_dir) \
  258. && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
  259. || { echo "ERROR: files left after uninstall:" ; \
  260. if test -n "$(DESTDIR)"; then \
  261. echo " (check DESTDIR support)"; \
  262. fi ; \
  263. $(distuninstallcheck_listfiles) ; \
  264. exit 1; } >&2
  265. distcleancheck: distclean
  266. if test '$(srcdir)' = . ; then \
  267. echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  268. exit 1 ; \
  269. fi
  270. test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  271. || { echo "ERROR: files left in build directory after distclean:" ; \
  272. $(distcleancheck_listfiles) ; \
  273. exit 1; } >&2
  274. check-am: all-am
  275. check: check-am
  276. all-am: Makefile $(SCRIPTS)
  277. installdirs:
  278. $(mkinstalldirs) $(DESTDIR)$(pkglibdir)
  279. install: install-am
  280. install-exec: install-exec-am
  281. install-data: install-data-am
  282. uninstall: uninstall-am
  283. install-am: all-am
  284. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  285. installcheck: installcheck-am
  286. install-strip:
  287. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  288. INSTALL_STRIP_FLAG=-s \
  289. `test -z '$(STRIP)' || \
  290. echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
  291. mostlyclean-generic:
  292. clean-generic:
  293. distclean-generic:
  294. -rm -f Makefile $(CONFIG_CLEAN_FILES)
  295. maintainer-clean-generic:
  296. @echo "This command is intended for maintainers to use"
  297. @echo "it deletes files that may require special tools to rebuild."
  298. clean: clean-am
  299. clean-am: clean-generic mostlyclean-am
  300. distclean: distclean-am
  301. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  302. distclean-am: clean-am distclean-generic
  303. dvi: dvi-am
  304. dvi-am:
  305. info: info-am
  306. info-am:
  307. install-data-am:
  308. install-exec-am: install-pkglibSCRIPTS
  309. install-info: install-info-am
  310. install-man:
  311. installcheck-am:
  312. maintainer-clean: maintainer-clean-am
  313. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  314. -rm -rf autom4te.cache
  315. maintainer-clean-am: distclean-am maintainer-clean-generic
  316. mostlyclean: mostlyclean-am
  317. mostlyclean-am: mostlyclean-generic
  318. pdf: pdf-am
  319. pdf-am:
  320. ps: ps-am
  321. ps-am:
  322. uninstall-am: uninstall-info-am uninstall-pkglibSCRIPTS
  323. .PHONY: all all-am check check-am clean clean-generic dist dist-all \
  324. dist-gzip distcheck distclean distclean-generic distcleancheck \
  325. distdir distuninstallcheck dvi dvi-am info info-am install \
  326. install-am install-data install-data-am install-exec \
  327. install-exec-am install-info install-info-am install-man \
  328. install-pkglibSCRIPTS install-strip installcheck \
  329. installcheck-am installdirs maintainer-clean \
  330. maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
  331. pdf-am ps ps-am uninstall uninstall-am uninstall-info-am \
  332. uninstall-pkglibSCRIPTS
  333. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  334. # Otherwise a system limit (for SysV at least) may be exceeded.
  335. .NOEXPORT: